#
# spec file for package xtide (Version 2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libpng libz xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xtide
Copyright:    GPL
Group:        Applications/Scientific
Autoreqprov:  on
Version:      2.4
Release:      1
Summary:      Harmonic tide clock and tide predictor
URL:          http://www.flaterco.com/xtide/
Source:       xtide-%{version}.tar.bz2
#Source1:      harmonics.txt.bz2
#Source2:      offsets.xml.bz2
Source3:      README.SuSE
BuildRoot:    %{_tmppath}/%{name}-build

%description
XTide is a package that provides tide and current predictions in a wide variety of formats.
Graphs, text listings, and calendars can be generated, or a tide clock can be provided on
your desktop.
XTide can work with X-windows, plain text terminals, or the web.  This is accomplished with three
separate programs: the interactive interface (xtide), the non-interactive or command line interface
(tide), and the web interface (xttpd).
XTide requires harmonics files. You can find them on his web site at
http://bel-marduk.unh.edu/xtide/files.html                                      
See /usr/share/doc/packages/xtide/README.SuSE

Authors:
--------
    David Flater <software@flaterco.com>

%prep
%setup

%build
export HFILE_PATH=/usr/share/xtide/harmonics.txt:/usr/share/xtide/offsets.xml
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT{/usr/{share/xtide,bin,sbin},%{_mandir}/man{1,8},/etc}
install xtide tide $RPM_BUILD_ROOT/usr/bin
install xttpd $RPM_BUILD_ROOT/usr/sbin
install -m 644 DOCUMENTATION/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 DOCUMENTATION/*.8 $RPM_BUILD_ROOT/%{_mandir}/man8
#bzcat %{S:1} > $RPM_BUILD_ROOT/usr/share/xtide/harmonics.txt
#bzcat %{S:2} > $RPM_BUILD_ROOT/usr/share/xtide/offsets.xml
#echo /usr/share/xtide/harmonics.txt:/usr/share/xtide/offsets.xml \
#     >$RPM_BUILD_ROOT/etc/xtide.conf
cp %{S:3} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/sbin/*
%doc %{_mandir}/man*/*
/usr/share/xtide
%doc DOCUMENTATION/*.txt README.SuSE
#%config /etc/xtide.conf

%changelog -n xtide
* Thu Oct 25 2001 - nadvornik@suse.cz
- new package, version 2.4
